package cn.superdesk.uniorder.dao.mapper.invoice.supplier;

import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplier;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceApplySupplierMapper {
    long countByExample(InvoiceApplySupplierExample example);

    int deleteByExample(InvoiceApplySupplierExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceApplySupplier record);

    int insertSelective(InvoiceApplySupplier record);

    List<InvoiceApplySupplier> selectByExampleWithBLOBs(InvoiceApplySupplierExample example);

    List<InvoiceApplySupplier> selectByExample(InvoiceApplySupplierExample example);

    InvoiceApplySupplier selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceApplySupplier record, @Param("example") InvoiceApplySupplierExample example);

    int updateByExampleWithBLOBs(@Param("record") InvoiceApplySupplier record, @Param("example") InvoiceApplySupplierExample example);

    int updateByExample(@Param("record") InvoiceApplySupplier record, @Param("example") InvoiceApplySupplierExample example);

    int updateByPrimaryKeySelective(InvoiceApplySupplier record);

    int updateByPrimaryKeyWithBLOBs(InvoiceApplySupplier record);

    int updateByPrimaryKey(InvoiceApplySupplier record);
}